summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index e71f3dc4..2e017525 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -52,6 +52,21 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
fi
fi
+#
+# we fail hard
+#
+set +e
+
+#
+# check for working proxy
+#
+echo "$(date -u) - testing whether the proxy works..."
+curl http://www.debian.org > /dev/null
+if [ $? -ne 0 ] ; then
+ echo "Warning: curl http://www.debian.org failed, probably the proxy is down for $HOSTNAME…"
+ DIRTY=true
+fi
+
echo "$(date -u) - updating the schroots and pbuilder now..."
# use host architecture (only)
ARCH=$(dpkg --print-architecture)